Question Erreur de montage: "type de système de fichiers inconnu 'exfat'"


En essayant de monter un système de fichiers exfat, j'obtiens l'erreur suivante:

Error mounting /dev/sda6 at /media/gkp/Backup: Command-line 
`mount -t "exfat" -o "uhelper=udisks2,nodev,nosuid" "/dev/sda6" "/media/gkp/Backup"' 
exited with non-zero exit status 32: mount: unknown filesystem type 'exfat'

Exfat est utilisé sur certaines clés USB et cartes SD. Que puis-je faire pour monter ce type de système de fichiers?


258
2017-10-23 08:57


origine


Veuillez fournir la version d’Ubuntu que vous utilisez. Comme vous pouvez le voir, il y a plus d'une réponse pour Ubuntu. - Rinzwind
voir également askubuntu.com/a/85459/20972 (en particulier pour 13.10) - rogerdpack
Ubuntu 14.04 le fait. - SDsolar
Dans mon cas, j'ai également dû ajouter le référentiel d'univers: sudo add-apt-repository universe  sudo apt-get update - Ben Creasy


Réponses:


Vous obtenez cette erreur car le système de fichiers exfat n'est pas installé par défaut dans Ubuntu. exFAT est propriétaire et breveté par Microsoft.

Ubuntu 13.10 ou supérieur

Depuis Ubuntu 13.10, ce paquet est dans le dépôt principal. Installer juste exfat-fuse et exfat-utils:

sudo apt-get install exfat-fuse exfat-utils

Ubuntu 12.04

Pour Ubuntu 13.04 et versions ultérieures, vous aurez besoin d’un ppa pour installer le exfat soutien. Procédure d'installation:

sudo apt-add-repository ppa:relan/exfat
sudo apt-get update
sudo apt-get install fuse-exfat

Si vous voyez l'erreur gpg: "tag:launchpad.net:2008:redacted" not a key ID: skipping pendant le apt-add-repository étape, vous devrez alors installer manuellement la clé de signature et exécuter le apt-get update et apt-get install étapes après cela:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 4DF9B28CA252A784


392
2017-10-23 10:21



ressemble à 13.10 vous n'avez même pas besoin du ppa c'est juste sudo apt-get install exfat-fuse ref: askubuntu.com/a/85459/20972 - rogerdpack
:) et après, sudo ntfsfix / dev / sdb1 m'aide à monter. attendez quelques secondes, il pourrait prendre le temps de monter. - CoDe
+1. Sur Ubuntu 14.04, aucun PPA n'est requis. J'étais capable de sudo apt-get install exfat-fuse et, après l'installation, ma carte SD de 64 Go a été installée dès que je l'ai branchée. - Drew Noakes
Cela fonctionne aussi dans Ubuntu 15.10! - Luis Lobo Borobia
sudo apt-get install exfat-fuse exfat-utils Fonctionne le 16.04! - Cat